#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		catalog		%{_sysconfdir}/xml/catalog
#-----------------------------------------------------------------------------
Name		:	docbook-xsl
Version		:	1.79.2
Release		:	17.0.10.rel%{?dist}
Summary		:	DocBook XSL Stylesheets 
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Copyright only
URL		:	https://github.com/docbook/xslt10-stylesheets/releases/

Source0		:	%{name}-%{version}.tar.bz2
Source1		:	%{name}-doc-%{version}.tar.bz2
Patch0		:	%{name}-%{version}-stack_fix-1.patch

#-----------------------------------------------------------------------------
Requires(post)	:	libxml2,docbook-xml

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
The DocBook XSL Stylesheets package contains XSL stylesheets. These
are useful for performing transformations on XML DocBook files. 

%prep
%setup -q 
%patch0 -p1

#---------------------------------------------------------
#building application
%build
%{__tar}							\
	--strip-components=1					\
	-xf							\
	%{SOURCE1}


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

install -v -m755 -d %{buildroot}%{_datadir}/xml/docbook/xsl-stylesheets-%{version}

%{__cp} -R								\
	VERSION assembly common eclipse epub epub3 extensions fo	\
        highlighting html htmlhelp images javahelp lib manpages params	\
        profiling roundtrip slides template tests tools webhelp website	\
        xhtml xhtml-1_1 xhtml5						\
	%{buildroot}%{_datadir}/xml/docbook/xsl-stylesheets-%{version}

%{__ln_s}								\
	./VERSION							\
	%{buildroot}%{_datadir}/xml/docbook/xsl-stylesheets-%{version}/VERSION.xsl

%{__mkdir_p} %{buildroot}%{_defaultdocdir}/docbook-%{version}
%{__cp} -R								\
	doc/*								\
	%{buildroot}%{_defaultdocdir}/docbook-%{version}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/xml

%files			
%defattr(-,root,root,-)

%dir %{_sysconfdir}/xml
%{_datadir}/xml/docbook/xsl-stylesheets-%{version}/*
%{_defaultdocdir}/docbook-%{version}/*.{html,css,txt.gz}
%{_defaultdocdir}/docbook-%{version}/*/*
%{_defaultdocdir}/docbook-%{version}/{AUTHORS,COPYING,LICENSE,README}

%pre

#after upgrade or remove
%preun

%post
if [ "$1" = 1 ]; then
  if [ ! -f %{catalog} ] ; then
    %{_bindir}/xmlcatalog --noout --create %{catalog}
    fi
  fi

%{_bindir}/xmlcatalog --noout --add "rewriteSystem"		\
  "http://docbook.sourceforge.net/release/xsl/%{version}"	\
  "file://%{_datadir}/xml/docbook/xsl-stylesheets-%{version}"	\
  %{catalog}
%{_bindir}/xmlcatalog --noout --add "rewriteURI"		\
  "http://docbook.sourceforge.net/release/xsl/%{version}"	\
  "file://%{_datadir}/xml/docbook/xsl-stylesheets-%{version}"	\
  %{catalog}
%{_bindir}/xmlcatalog --noout --add "rewriteSystem"		\
  "http://docbook.sourceforge.net/release/xsl/current"		\
  "file://%{_datadir}/xml/docbook/xsl-stylesheets-%{version}"	\
  %{catalog}
%{_bindir}/xmlcatalog --noout --add "rewriteURI"		\
  "http://docbook.sourceforge.net/release/xsl/current"		\
  "file://%{_datadir}/xml/docbook/xsl-stylesheets-%{version}"	\
  %{catalog}

%postun
# remove entries only on removal of package
if [ "$1" = 0 ]; then
  %{_bindir}/xmlcatalog --noout --del				\
    "file://%{_datadir}/xml/docbook/xsl-stylesheets-%{version}"\
    %{catalog}
  fi


%changelog
